<?php
// Iniciar a sessão no PHP
session_start();

// Verificar se o usuário está logado
if (!isset($_SESSION['CodUsuario']) || empty($_SESSION['CodUsuario'])) {
    // Se o usuário não estiver logado, redirecionar para a página de login
    header("Location: login.php?status=erro");
    exit(); // Terminar o script
}

// Incluir o arquivo de conexão com o banco de dados
require 'conexao/conexao.php';

// Obter o ID do usuário da sessão
$idUsuario = $_SESSION['CodUsuario'];

// Construir a consulta SQL para excluir o registro da tabela controle_acesso
$strSQLDelete = "DELETE FROM controle_acesso WHERE id_do_usuario = $idUsuario";

// Executar a consulta SQL
if ($connectionmysql->query($strSQLDelete) === TRUE) {
    // Limpar variáveis de sessão
    $_SESSION = array();

    // Destruir a sessão
    session_destroy();

    // Redirecionar para a página de login com a mensagem de logoff
    header("Location: login.php?status=logoff");
    exit(); // Terminar o script
} else {
    // Se houver algum erro na exclusão do registro, redirecionar para a página de login com uma mensagem de erro
    header("Location: login.php?status=erro");
    exit(); // Terminar o script
}
?>
